\documentclass{zettel2}

\geometry{top=2cm, bottom=2cm, left=2cm, right=2cm}

% Header & Footer
\pagestyle{empty}

\DTLloaddb{zimmereinteilung}{betreuende.csv}
\DTLloaddb{zimmer}{zimmer.csv}


\begin{document}

    \begin{center}
        {\Huge \textsc{Zimmereinteilung}}\bigskip

        {\Huge Betreuer:innen}
    \end{center}

    \vspace{1cm}

    % The amount of colums and the last room per line have to be set manually

    \begin{tabularx}{\textwidth}{XXXX}
        \DTLforeach{zimmer}{%
            \currentZimmer=Zimmer,%
            \bewohner=Bewohner%
        }{%
            \ifthenelse{\equal{\bewohner}{Betreuende}}{%
                {\Large \currentZimmer}
                \begin{itemize}
                    \DTLforeach{zimmereinteilung}{%
                        \name=Kuerzel,%
                        \zimmer=Zimmer%
                    }{%
                        \ifthenelse{%
                            \equal{\zimmer}{\currentZimmer}%
                        }{%
                            \item \name
                        }{}%
                    }
                \end{itemize}
                \vspace{1cm}
                \ifthenelse{%
                    \currentZimmer = 27 \OR \currentZimmer = 41
                }{%
                    \\
                }{%
                    &
                }
            }{}
        }
    \end{tabularx}

\end{document}
